%global _hardened_build 1

Name:              lfcxml
Version:           1.1.4
Release:           1%{?dist}
Summary:           Lemke Foundation Classes XML extension
License:           GPLv3+
URL:               http://www.lemke-it.com/litexec?request=publfcxml&user=&lang=en
Source0:           http://www.lemke-it.com/%{name}-%{version}.tar.gz
BuildRequires:     lfcbase-devel

%description
This C++ library provides an API for XML document handling. Similar to the 
JDOM Java interface, a XML document can be parsed, traced and generated by 
the provided methods.

%package           devel
Summary:	   Development files for %{name}
Requires:	   %{name}%{?_isa} = %{version}-%{release}
Requires:          lfcbase-devel%{?_isa}

%description	   devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%configure --disable-static
sed -i -e 's/ -shared / -Wl,--as-needed\0/g' libtool

%build
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%check
make check

%files
%doc AUTHORS COPYING NEWS README
%{_libdir}/*.so.*

%files devel
%doc samples/*.{cc,xml}
%{_includedir}/%{name}/
%{_libdir}/*.so

%changelog
* Wed Jul 03 2013 Christopher Meng <rpm@cicku.me> - 1.1.4-1
- New release.

* Tue May 21 2013 Christopher Meng <rpm@cicku.me> - 1.1.3-2
- Fix the license problem.

* Sat May 18 2013 Christopher Meng <rpm@cicku.me> - 1.1.3-1
- New release.

* Fri May 17 2013 Christopher Meng <rpm@cicku.me> - 1.1.2-1
- New release.

* Tue May 14 2013 Christopher Meng <rpm@cicku.me> - 1.1.1-1
- New release.

* Mon May 06 2013 Christopher Meng <rpm@cicku.me> - 1.0.27-1
- Initial Package.
